
Powers=[30:30:150]*1000; % [W]
Drags=[0.2:0.05:0.3];
clear FCresult
figure(100),clf

for sens=1:length(Drags)
    Cd=Drags(sens);
    for casecount=1:length(Powers)
        PdivM = Powers(casecount)/Mv;
        Pmax = Powers(casecount);
        if (PdivM<=22)
            Drive_cycle=10;
        elseif (PdivM>22 & PdivM>=34)
            Drive_cycle=11;
        else
            Drive_cycle=12;
        end
        InitiateCONVENTIONAL
        [sens casecount]
        sim('Conventional')
        FCresult(casecount,1)=FC(length(FC));
        FCresult(casecount,2)=PdivM;
        FCresult(casecount,3)=max(Distance)/(max(cycle(:,3))/10000);
    end
    
    figure(100)
    subplot(3,1,1)
    hold on
    plot(Powers/1000, FCresult(:,1))
    ylabel('Fuel consumption [l/10 km]')
    
    subplot(3,1,2)
    hold on
    plot(Powers/1000, FCresult(:,2))
    ylabel('PdivM')
    plot([min(Powers/1000) max(Powers/1000)],[22 22],'g--')
    plot([min(Powers/1000) max(Powers/1000)],[34 34],'r--')
    
    subplot(3,1,3)
    hold on
    plot(Powers/1000, FCresult(:,3))
    ylabel('RelDistance')
    
end
% %Labeling
% text_sp = 0.1*ceil(((max(FCresult(:,1)))*12))-(max(FCresult(:,1)));
% for i=1:size(cases,1)
% %    text(i-0.4,(FCresult(i,1))+0.75*text_sp,strcat(Types(FCresult(i,2)+1),num2str(FCresult(i,4))));
%     text(i-0.4,(FCresult(i,1))+0.15*text_sp,Drive_cycles(FCresult(i,4)));
%     text(i-0.4,(FCresult(i,1))+0.55*text_sp,Vehicles(FCresult(i,3)));
%     text(i-0.4,(FCresult(i,1))+0.35*text_sp,Fuels(FCresult(i,5)));
% end