function [Eta,Ptrm]=CreateBATTmap(Pbatt_max,Wbatt)

Ptrm = [-Pbatt_max:2*Pbatt_max/21:Pbatt_max]'; % Terminal power

% assume emf - resistance model with fix resistance and emf
% assume motoric reference, i.e. positive power charges the battery
% Ploss = Ri^2
% (e+r*i)*i=Ptrm=e*i+R*i2 -> i^2 + e/R*i - Ptrm/R = 0 -> i = -e/2/R + sqrt(e^2/4R^2+Ptrm/R)
% Antag 20 % frluster vid mrkeffekt; e*i_max=0.85*Pterm_max, R*(i_max)^2=0.15*Pterm_max;
% i_max=0.8*Pterm_max/e;  R = 0.2*Pterm_max/(i_max)^2;

Wsp =[60:20:180]; % Wh/kg from SAFT Li-techjnology
Psp = [5000 3000 2000 1000 600 300 20]; % W/kg from SAFT Li-techjnology

Px = Wbatt./(Wsp*3600).*Psp; % Power of battery with enough energy
if max(Px)>Pbatt_max,
    i=1;
    while Px(i)>Pbatt_max,
        i=i+1;
    end
    Wsp(i)
    Psp(i)
    Pmax=Px(i-1)
else
    'Batteriet fr litet med Lithum-teknologi frn SAFT'
end

if Wbatt<1500*3600
   typ = 1     % Probably starter battery (12 V)
   e = 12;
elseif (Wbatt>=1500*3600) & (Wbatt<(5000*3600)) % mellan 
    typ = 2    % Probably Power Assist battery (100 V) 100Wh/kg, 2000 W/kg
    e = 100;
elseif Wbatt>=5000*3600  % 5 kWh motsvarande 
    typ = 3    % Probably EV drive range battery (300 V) 160 Wh/kg 200  W/kg
    e = 300;
end

% i_max = 0.9*Pmax/e; % Assume 20 % what ?
% R = 0.2*Pmax/(i_max)^2;

% Pmax = e*imax-R*imax^2;  antag R*imax^2 = k*e*imax
% Pmax = e*imax(1-k);  -> imax=Pmax/e/(1-k) & R=k*e/imax
k=0.3;
imax=Pmax/e/(1-k)
R=k*e/imax

for i=1:length(Ptrm),
    curr(i)=(-e/2/R + sqrt(e^2/4/R^2+Ptrm(i)/R));
    volt(i)=e+R*curr(i);
    Ploss(i)=R*curr(i)^2;
    Eta(i)= (Ptrm(i)-Ploss(i))/(Ptrm(i)+eps);
end

figure(3)
clf
plot(Ptrm,Eta)
axis([-Pbatt_max Pbatt_max 0 2])
title('Battery charge efficiency')
xlabel('Battery power [W]')
ylabel('Efficiency')
grid on
