function [Eta,Ptrm]=CreateBATTmap(Pbatt_max)

Ptrm = [-Pbatt_max:2*Pbatt_max/21:Pbatt_max]'; % Terminal power

% assume emf - resistance model with fix resistance and emf
% assume motoric reference, i.e. positive power charges the battery
% Ploss = Ri^2
% (e+r*i)*i=Ptrm=e*i+R*i2 -> i^2 + e/R*i - Ptrm/R = 0 -> i = -e/2/R + sqrt(e^2/4R^2+Ptrm/R)

e=400;
R=0.36;

for i=1:length(Ptrm),
    curr(i)=(-e/2/R + sqrt(e^2/4/R^2+Ptrm(i)/R));
    volt(i)=e+R*curr(i);
    Ploss(i)=R*curr(i)^2;
    Eta(i)= (Ptrm(i)-Ploss(i))/(Ptrm(i)+eps);
end

figure(3)
clf
plot(Ptrm,Eta)
axis([-Pbatt_max Pbatt_max 0 2])
title('Battery charge efficiency')
xlabel('Battery power [W]')
ylabel('Efficiency')
grid on
