function [PtoT,T,W,Tlim]=SkapaPtoT(Pice_max,wice_max,Tice_max,EtaICE)

P = [0:Pice_max/(length(EtaICE(:,1))-1):Pice_max]'; 
T = [0:Tice_max/(length(EtaICE(:,1))-1):Tice_max]';
W = [0:wice_max/(length(EtaICE(1,:))-1):wice_max];

PtoT = zeros(length(P),4);
PtoT(:,1) = P;

for i=2:length(P),
    for j=2:length(T)
        Ttemp=T(j);
        wtemp = (P(i) / Ttemp);
        if wtemp > wice_max
            wtemp = wice_max;
            eta(j)=0;
        else
            eta(j) = interp2(W,T,EtaICE,wtemp,Ttemp,'spline');     %linear');
        end
        if eta(j) > PtoT((i),3)
            PtoT((i),2) = T(j);
            PtoT((i),3) = eta(j);
            PtoT((i),4) = wtemp;
        end
    end
end

for i=2:length(P)-1, % Smooth a bit to make simulation less jumpy
    PtoT(i,2)=(PtoT(i-1,2)+PtoT(i+1,2))/2;
    PtoT(i,4)=(PtoT(i-1,4)+PtoT(i+1,4))/2;
end

Topt = spline(PtoT(:,4)',PtoT(:,2)',W);
for i=1:length(W),
    Tlim(i) = min([Tice_max 2*Topt(i) Pice_max/(W(i)+eps)]); % Synthetically made upper torque limitation
end

figure(1)
clf
subplot(1,2,1)
mesh(W,T,EtaICE)
xlabel('Speed [rad/s]')
ylabel('Torque [Nm]')
title('Efficiency map')
axis([0 max(W) 0 max(T) 0 max(max(EtaICE))])

subplot(1,2,2)
plot(PtoT(:,4),PtoT(:,2),'b')
hold on
plot(W,Tlim,'r');
axis([0 wice_max 0 Tice_max*1.1])
title('Optimal and maximum torque [Nm]')
xlabel('Speed [rad/s]')
ylabel('Torque [Nm]')
grid on
