
%ladda krcykler
load ece15;
load us06;

Fuel=1;
if Fuel==1, % Gasoline
    load EtaICE_OTTO;
    EtaICE = EtaICE_OTTO;
elseif Fuel==2, % Diesel
    load EtaICE_DIESEL;
    EtaICE = EtaICE_DIESEL;
else
    'Erroneous fuel choice'
end

[value,row]=max(max(EtaICE'));

% Frbrnningsmotorns parametrar  ++++++++++++++++++
Pice_max = 40000;
if Fuel==1,
    wice_max = 6000*2*pi/60;
elseif Fuel==2,
    wice_max = 4500*2*pi/60;
else
        'Erroneous fuel choice'
end
wice_min = 800*2*pi/60; % 800 rpm tomgng
Tice_max = Pice_max/(wice_max*row/(length(EtaICE)-1));

[PtoT,Tice,Wice,Tlim_ice]=CreateICEmap(Pice_max,wice_max,Tice_max,EtaICE);

% Mekaniska parametrar  ++++++++++++++++++

Mv = 1600; % Vehicle weight
rw = 0.30;	        % wheel radius (m)
Cd = 0.26; 	        % air_resistance
Cr = 0.008;	        % roll resistance
Av = 2.55;	        % Front area
rho_air = 1.2;      % Air density
grav = 9.81;
vmax=165/3.6;   % 165 km/h maxhastighet

Pvehicle_max = (Cr*Mv*grav+1/2*rho_air*Cd*Av*vmax^2)*vmax;

% EM1 parameters  ++++++++++++++++++

Tem1_max = 1.1*Tice_max;  % Peak continuous torque
wem1_max=wice_max/2; % EM mounted on cranc shaft
Pem1_max = Tem1_max*wem1_max/1.1;       % Peak continuous power

[EtaEM1,Tem1,Wem1] = CreateEMmap(Pem1_max,wem1_max,Tem1_max);

Jgenset=0.1;

% Gear ratio for the final gear between the traction motor and the wheels   *************'

ratio = 2.6;
gr2 =  5;  %(2750*pi/30)/(77/3.6/rw);    %(wice_max + wem1_max)/(vmax/rw);
EtaGEAR=0.98;

% EM2 parameters  ++++++++++++++++++

Pem2_max = 60000;       % Peak continuous power
Tem2_max = 200;    % Peak continuous torque
wem2_max = vmax/rw*gr2; 

[EtaEM2,Tem2,Wem2] = CreateEMmap(Pem2_max,wem2_max,Tem2_max);

% Power Electronics efficiency (preset)

EtaPE = 0.98

% Fuel energy density

if Fuel==1, % Gasoline
    Density = 32000000;
elseif Fuel==2, % Diesel
    Density = 35900000;
else
    'Erroneous fuel choice'
end

% Battery parameters ++++++++++++++++++

Wbatt = 2000*3600;   % 2 kW for 3600 seconds battery capacity
[EtaBATT,Pbatt]=CreateBATTmap(100000)
SOC_ref_value = 70;

% Controller parameters **********************************

Tau_charge = 4;   
ksoc = Wbatt/400/Tau_charge;
kgenset = Jgenset/4/0.05;  % Assuming a 50 ms time constant in speed measurement



Paux=600;




    