% ************************************************************************
%
% File used to simulation results for plotting either the time spent of the
% energy converted in different operating points during a simulation.
%
% ************************************************************************

figure(1), clf
subplot(1,2,1)

WTdura = 0*EtaEM;
WTenergy = 0*EtaEM;
for i=1:length(tWTem1(:,1))-1,
    speedindex = min(find((tWTem1(i,2)-Wem*30/pi)<0))-1;
    % min(find((4-[1:10])<0))
    torqueindex = min(find((tWTem1(i,3)-Tem)<0))-1;
    WTdura(torqueindex,speedindex) = WTdura(torqueindex,speedindex) + (tWTem1(i+1,1)-tWTem1(i,1));
    WTenergy(torqueindex,speedindex) = WTenergy(torqueindex,speedindex) + tWTem1(i,2)*tWTem1(i,3)*(tWTem1(i+1,1)-tWTem1(i,1));
end
MaxEnergy = max(max(WTenergy));  % For scaling in the contourplot


contour(Wem*30/pi,Tem,abs(WTenergy)/1000/3600,[0:MaxEnergy/10:MaxEnergy]/1000/3600)
%contour(Wem*30/pi,Tem,abs(WTenergy)/1000/3600,[-max(max(WTenergy)):max(max(WTenergy))/40:max(max(WTenergy))]/1000/3600)
max(max(WTenergy))
hold on
contour(Wem*30/pi,Tem,EtaEM,'Color',[0.8 0.8 0.8])
contour(Wem*30/pi,-Tem,EtaEM,'Color',[0.8 0.8 0.8])
plot(Wem*30/pi,Tem_lim,'LineWidth',2)
plot(Wem*30/pi,-Tem_lim,'LineWidth',2)
plot(PtoTem(:,4)*30/pi,PtoTem(:,2),'r')
axis([0 max(Wem*30/pi) -max(Tem)*1.1 max(Tem)*1.1])

xlabel('EM Speed [rpm]')
title(' Electric Axle 1')
ylabel('Energy Spent at Operating point [kWh]')
text(100, max(Tem)*1.05,['Pem =' num2str(Pem_max/1000) ' [kW]'])
grid on

subplot(1,2,2)
WTdura = 0*EtaEM;
WTenergy = 0*EtaEM;
for i=1:length(tWTem2(:,1))-1,
    speedindex = min(find((tWTem2(i,2)-Wem*30/pi)<0))-1;
    % min(find((4-[1:10])<0))
    torqueindex = min(find((tWTem2(i,3)-Tem)<0))-1;
    WTdura(torqueindex,speedindex) = WTdura(torqueindex,speedindex) + (tWTem2(i+1,1)-tWTem2(i,1));
    WTenergy(torqueindex,speedindex) = WTenergy(torqueindex,speedindex) + tWTem2(i,2)*tWTem2(i,3)*(tWTem2(i+1,1)-tWTem2(i,1));
end
MaxEnergy = max(max(WTenergy));  % For scaling in the contourplot

contour(Wem*30/pi,Tem,abs(WTenergy)/1000/3600,[0:MaxEnergy/10:MaxEnergy]/1000/3600)
%contour(Wem*30/pi,Tem,abs(WTenergy)/1000/3600,[-max(max(WTenergy)):max(max(WTenergy))/40:max(max(WTenergy))]/1000/3600)
max(max(WTenergy))
hold on
contour(Wem*30/pi,Tem,EtaEM,'Color',[0.8 0.8 0.8])
contour(Wem*30/pi,-Tem,EtaEM,'Color',[0.8 0.8 0.8])
plot(Wem*30/pi,Tem_lim,'LineWidth',2)
plot(Wem*30/pi,-Tem_lim,'LineWidth',2)
plot(PtoTem(:,4)*30/pi,PtoTem(:,2),'r')
axis([0 max(Wem*30/pi) -max(Tem)*1.1 max(Tem)*1.1])

xlabel('EM Speed [rpm]')
title(' Electric Axle 2')
ylabel('Energy Spent at Operating point [kWh]')
text(100, max(Tem)*1.05,['Pem =' num2str(Pem_max/1000) ' [kW]'])
grid on