% Kokam batteries from Kokam catalog 20100207
% capacity (Ah) Weight(g)   Cont and Pulse Discharge Rate (C) Energy density [Wh/kg]

CellVoltage = 3.7;  % [V]

Kokam1= [   5   115 1   5   177;
            8   155 1   5   190;
            8   150 1   2   196;
            16  330 1   2   180;
            25  620 1   5   155;
            30  700 1   5   156;
            40  935 1   5   163;
            70  1700    1   5   160;
            100 2320    1   3   163;
            200 4400    1   2   168;
            5   164 5   10  113;
            7.5 226 5   10  123;
            11  292 5   10  139;
            31  860 5   10  133;
            40  1100    5   10  135;
            70  1950    5   10  133;
            100 2700    5   8   137;
            200 5260    2   4   141;
            4.2 150 8/4.2 25/4.2 2.4*4.2/0.15;
            4 1000 8/4 25/4 12*4/1];    % Toshiba SCiB cell (http://www.scib.jp/en/product/spec.htm)

Kokam1(:,6:7)=[Kokam1(:,3).*Kokam1(:,5) Kokam1(:,4).*Kokam1(:,5)];

figure(1)
clf
plot(Kokam1(1:10,5),Kokam1(1:10,6),'r*');
hold on
plot(Kokam1(1:10,5),Kokam1(1:10,7),'rX');
plot(Kokam1(19:20,5),Kokam1(19:20,6),'g*');
plot(Kokam1(11:18,5),Kokam1(11:18,6),'b*');
plot(Kokam1(11:18,5),Kokam1(11:18,7),'bX');
plot(Kokam1(19:20,5),Kokam1(19:20,7),'gX');
%axis([100 200 0 3000])
xlabel('Kokam Energy Density [Wh/kg]')
ylabel('Kokam Power Density [W/kg]')
title('Kokam Large Capacity High Energy density (Red) and High Power Density (Blue)')

figure(2)
clf
plot(Kokam1(1:10,5),Kokam1(1:10,6)./Kokam1(1:10,5),'r*');
hold on
plot(Kokam1(11:18,5),Kokam1(11:18,6)./Kokam1(11:18,5),'b*');
plot(Kokam1(19:20,5),Kokam1(19:20,6)./Kokam1(19:20,5),'g*');
plot(Kokam1(1:10,5),Kokam1(1:10,7)./Kokam1(1:10,5),'rX');
plot(Kokam1(11:18,5),Kokam1(11:18,7)./Kokam1(11:18,5),'bX');
plot(Kokam1(19:20,5),Kokam1(19:20,7)./Kokam1(19:20,5),'gX');

xlabel('Kokam Energy Density [Wh/kg]')
ylabel('Kokam Power/Energy Ratio [W/Wh]')
title('Kokam Large Capacity High Energy density (Red) and High Power Density (Blue)')




    