clear all

Mv = 32000; % Vehicle maass
Cd = 0.79; 	        % air_resistance. (Sports Car 0.3-0.4, Ecomony Car 0.4-0.5, Pickup Truck 0.5, Tractor-Trailer,with fairings 0.6-0.7, Tractor-Trailer 0.7-0.9)
Cr = 0.00576;	    % roll resistance (0.006...0.008 for low roll resist tires. 0.01...0.015 ordinary tires)
Av = 2.550*3.1; % vehicle front area
g = 9.81;   % gravitation constant
rho_air = 1.2;      % Air density
rw = 0.506; % Wheel radius
v_max = 120/3.6;  % Max vehicle speed in [km/h]
Pmax = 9.4*Mv;  % Max tractive power, assuming 9.4 kW/ton

Max_start_slope = 16; % [%]
Max_curb_hight = 0.155;  % [m]
hc=Max_curb_hight;  
Maxle = 11500;
Tw_curb = rw*Maxle*g/sin(acos(-(hc-rw)/rw))
Tw_slope = rw*Mv*g*sin(atan(Max_start_slope/100))
Tw_roll = Mv*g*Cr*rw
Tw_drag = 0.5*Av*Cd*rho_air*v_max^2

v=[0:90]/3.6;  % [m/s]

for i=1:length(v)
    if i==1
        Tmax(i)=Tw_curb; % Needed to start
    else
        Tmax(i) = min(Tw_slope + Tw_roll + Tw_drag*v(i)^2,Pmax/(v(i)/rw)); % Needed to drive and accelerate
    end
end
Tx=max(Tmax(2:length(Tmax)));
Tmax(2:find((Tmax-Tx)==0))=Tx;

figure(20),clf
plot(v*3.6,Tmax,'*')
grid
xlabel('Speed [m/s]')
ylabel('Wheel torque [Nm]')
