clear all
close all

kel_vector = [0.1:0.1:0.7];
SOC_vector = [0.5:0.25:2.5];
Pmax = 100000;

dSOC = [5 10 20 30 40 50 60 70 80 90 100];
NoC = [3e5 1e5 25e3 1e4 5.9e3 4e3 2.9e3 2.1e3 1.5e3 1.2e3 1.01e3];

semilogy(dSOC,NoC), grid
axis([0 100 100 1e6])
xlabel('Cycle depth [%]')
ylabel('Number of Cycles')
title('LiFePO4 @ 1C')
  % http://gwl-power.tumblr.com/image/130701906811
for loop1=1:length(kel_vector)
    %     Pem_max = kel_vector(loop1)*Pmax;
    %     Pice_max = Pmax-Pem_max;
    Wbatt = SOC_vector(loop1)*3.6e6;
    InitiateParallel;
    sim('Parallel')
    FCresult(loop1)=FC(length(FC));
    Distance(loop1)=DIST(length(DIST));
    dSOC(loop1)=max(max(SOC(:,2))) - min(min(SOC(:,2)));
    
end
    
figure(1), clf

plot(kel_vector,FCresult);
xlabel('Relative EM power')
ylabel('FC [l/10km]')
grid on
