% Plowing power

PullforceDensity = 90000; % [N/m2] 

Plow_width = [1:4];  % Width of plow
Plow_depth = 0.2; % Depth of plow
Plow_force = PullforceDensity*Plow_width*Plow_depth; 

Tractor_speed = [5:2:15]; % km/h

for i=1:length(Plow_width)
    for j=1:length(Tractor_speed)
        PlowPower(i,j) = Tractor_speed(j)/3.6*PullforceDensity*Plow_width(i)*Plow_depth; 
    end
end

figure(1), clf
pause(0.1)
mesh(Tractor_speed,Plow_width,PlowPower/1000,'Linewidth',2)
ylabel('Plow width [m]')
xlabel('Speed [km/h]')
zlabel('Plow_power [kW]')
title('Plowing power at 0.2 meter plowing depth')
