% ************************************************************************
%
% File used to simulation results for plotting either the time spent of the
% energy converted in different operating points during a simulation.
%
% ************************************************************************

WTdura = 0*EtaICE;
WTenergy = 0*EtaICE;

for i=1:length(tWTice(:,1))-1,
    speedindex = min(find((tWTice(i,2)-Wice*30/pi)<0))-1;
    torqueindex = min(find((tWTice(i,3)-Tice)<0))-1;
    WTdura(torqueindex,speedindex) = WTdura(torqueindex,speedindex) + (tWTice(i+1,1)-tWTice(i,1));
    WTenergy(torqueindex,speedindex) = WTenergy(torqueindex,speedindex) + tWTice(i,2)*tWTice(i,3)*(tWTice(i+1,1)-tWTice(i,1));
end
MaxEnergy = max(max(WTenergy));  % For scaling in the contourplot
figure(1), clf
subplot(1,2,1)
contour(Wice*30/pi,Tice,WTenergy/1000/3600,[0:MaxEnergy/10:MaxEnergy]/1000/3600)
hold on
contour(Wice*30/pi,Tice,EtaICE,'Color',[0.8 0.8 0.8])
plot(Wice*30/pi,Tlim_ice,'LineWidth',2)
plot(PtoT(:,4)*30/pi,PtoT(:,2),'r')
axis([0 max(Wice*30/pi) -max([max(Tem) max(Tice)])*1.1 max([max(Tem) max(Tice)])*1.1])
xlabel('ICE Speed [rpm]')
title(' Combustion Engine')
ylabel('Energy Spent at Operating point [kWh]')
text(100, max([max(Tem) max(Tice)])*1.05,['Pice =' num2str(Pice_max/1000) ' [kW]'])
grid on

WTdura = 0*EtaEM;
WTenergy = 0*EtaEM;
for i=1:length(tWTem(:,1))-1,
    speedindex = min(find((tWTem(i,2)-Wem*30/pi)<0))-1;
    % min(find((4-[1:10])<0))
    torqueindex = min(find((tWTem(i,3)-Tem)<0))-1;
    WTdura(torqueindex,speedindex) = WTdura(torqueindex,speedindex) + (tWTem(i+1,1)-tWTem(i,1));
    WTenergy(torqueindex,speedindex) = WTenergy(torqueindex,speedindex) + tWTem(i,2)*tWTem(i,3)*(tWTem(i+1,1)-tWTem(i,1));
end
MaxEnergy = max(max(WTenergy));  % For scaling in the contourplot
subplot(1,2,2)
contour(Wem*30/pi,Tem,abs(WTenergy)/1000/3600,[0:MaxEnergy/10:MaxEnergy]/1000/3600)
%contour(Wem*30/pi,Tem,abs(WTenergy)/1000/3600,[-max(max(WTenergy)):max(max(WTenergy))/40:max(max(WTenergy))]/1000/3600)
max(max(WTenergy))
hold on
contour(Wem*30/pi,Tem,EtaEM,'Color',[0.8 0.8 0.8])
contour(Wem*30/pi,-Tem,EtaEM,'Color',[0.8 0.8 0.8])
plot(Wem*30/pi,Tem_lim,'LineWidth',2)
plot(Wem*30/pi,-Tem_lim,'LineWidth',2)
plot(PtoTem(:,4)*30/pi,PtoTem(:,2),'r')
axis([0 max(Wice*30/pi) -max([max(Tem) max(Tice)])*1.1 max([max(Tem) max(Tice)])*1.1])
% axis([0 max(Wem*30/pi) -max(Tem)*1.1  max(Tem)*1.1])
xlabel('ICE Speed [rpm]')
title(' Electric Traction Machine')
ylabel('Energy Spent at Operating point [kWh]')
text(100, max([max(Tem) max(Tice)])*1.05,['Pice =' num2str(Pem_max/1000) ' [kW]'])
grid on