% 
Drive_cycle=2;
Vehicle = 1;
Fuel = 1;
% Mbatt=30;
Wbatt=5*3.6e6;
GenVsTract=60/100;

%load drive cycles
Drive_cycles=cellstr(['NEDC     ';'US06     ';'Bus1     ';'Bus2     ';'Distr1   ';'LongHaul1';'LongHaul2';'LongHaul3';'LongHaul4';'Ramp     ']);
switch Drive_cycle
    case 1 % nedc
        load ..\DriveCycles\nedc;
        cycle = nedc;
    case 2 % us06;
        load ..\DriveCycles\us06;
        cycle = us06;
    case 3 % Bus 1
        load ..\DriveCycles\london159;
        cycle = london159;
    case 4 % Bus 2
        load ..\DriveCycles\cbr85;
        cycle = cbr85;
    case 5 % Distribution 1
        load ..\DriveCycles\Distr1;
        cycle = Distr1;
    case 6 % Long Haul 1
        load ..\DriveCycles\LongHaul1;
        cycle = LongHaul1;
    case 7 % Long Haul 2
        load ..\DriveCycles\LongHaul2;
        cycle = LongHaul2;
    case 8 % Long Haul 3
        load ..\DriveCycles\LongHaul3;
        cycle = LongHaul3;
    case 9 % Long Haul 4
        load ..\DriveCycles\LongHaul4;
        cycle = LongHaul4;
    case 10 % ramp
        load ..\DriveCycles\Ramp;
        cycle = Ramp;
end

endtime = max(cycle(:,1));

% Vehicle Choise *****************************************
Vehicles = cellstr(['Car       ';'CityBus   ';'DistrTruck';'LongHaul  ']);

switch Vehicle
    case 1 % Car
        Mv = 1600; % Vehicle weight
        rw = 0.30;	        % wheel radius (m)
        Cd = 0.26; 	        % air_resistance
        Cr = 0.008;	        % roll resistance
        Av = 2.55;	        % Front area
        vmax=172/3.6;       % 172 km/h maxhastighet
        Pmax=100000;
        Number_of_gears = 6;
        MinShiftTime = 0.5;
        Paux = 1000;         % Without AC
    case 2 % City Bus
        Mv = 14000;         % Vehicle curb weight 
        rw = 0.506;	        % wheel radius (m)
        Cd = 0.79; 	        % air_resistance. (Sports Car 0.3-0.4, Ecomony Car 0.4-0.5, Pickup Truck 0.5, Tractor-Trailer,with fairings 0.6-0.7, Tractor-Trailer 0.7-0.9)
        Cr = 0.00576;	    % roll resistance (0.006...0.008 for low roll resist tires. 0.01...0.015 ordinary tires)
        Av = 2.550*2.924;   % Front area as Volvo FE6x2
        vmax=80/3.6;       % max maxhastighet
        Pmax = 250000;
        Number_of_gears = 6;
        MinShiftTime = 2;
        Paux = 2000;         % Without AC
    case 3 % Distribution Truck
        Mv = 22000;         % Vehicle curb weight + 250 kg passenger and cargo
        rw = 0.506;	        % wheel radius (m)
        Cd = 0.79; 	        % air_resistance. (Sports Car 0.3-0.4, Ecomony Car 0.4-0.5, Pickup Truck 0.5, Tractor-Trailer,with fairings 0.6-0.7, Tractor-Trailer 0.7-0.9)
        Cr = 0.00576;	    % roll resistance (0.006...0.008 for low roll resist tires. 0.01...0.015 ordinary tires)
        Av = 2.500*2.924;   % Front area as Volvo FE6x2
        vmax=80/3.6;               % max maxhastighet
        Pmax = 400000;
        Number_of_gears = 6;
        MinShiftTime = 2;
        Paux = 2000;    % Without AC
    case 4 %Long Haul Truck
        Mv = 50000;         % Vehicle curb weight + 250 kg passenger and cargo
        rw = 0.506;	        % wheel radius (m)
        Cd = 0.79; 	        % air_resistance. (Sports Car 0.3-0.4, Ecomony Car 0.4-0.5, Pickup Truck 0.5, Tractor-Trailer,with fairings 0.6-0.7, Tractor-Trailer 0.7-0.9)
        Cr = 0.00576;	    % roll resistance (0.006...0.008 for low roll resist tires. 0.01...0.015 ordinary tires)
        Av = 2.550*3.1;   % Front area as Volvo FE6x2
        vmax=130/3.6;       % max maxhastighet
        Pmax = 450000;
        Number_of_gears = 12;
        MinShiftTime = 3;
        Paux = 2000;    % Without AC
end
rho_air = 1.2;      % Air density
grav = 9.81;
Pvehicle_max = (Cr*Mv*grav+1/2*rho_air*Cd*Av*vmax^2)*vmax;

% Frbrnningsmotorns parametrar ***************************************
if Fuel==1, % Gasoline
    load EtaICE_OTTO;
    EtaICE = EtaICE_OTTO;
    wice_max = 6000*2*pi/60;
elseif Fuel==2&Vehicle==1, % Car Diesel
    load EtaICE_DIESEL;
    EtaICE = EtaICE_DIESEL;
    wice_max = 4500*2*pi/60;
elseif Fuel==2&Vehicle>1, % Truck Diesel
    load EtaICE_HeavyDIESEL;
    EtaICE = EtaICE_HeavyDIESEL;
    wice_max = 2500*2*pi/60;
else
    'Erroneous fuel choice'
end

[value,row]=max(max(EtaICE'));
Pice_max = Pmax*GenVsTract/2; 

wice_min = 700*2*pi/60; % 800 rpm tomgng
Tice_max = Pice_max/(wice_max*row/(length(EtaICE)-1));

[PtoT,Tice,Wice,Tlim_ice,FuelConsICE]=CreateICEmap(Pice_max,wice_max,Tice_max,EtaICE);
% Transmission settings ******************************************

% utvx_max = wice_max/((vmax/20)/rw); % "Ettan". Phittat, antar att motorn vid lgsta utvxling varvar ut vid 1/20 av maxhastigheten
% utvx_min = wice_max/(1.2*vmax/rw);  % "Hgsta vxeln". Antar att motorn varvar ut vid 1.2 ggr max hastigheten p hgsta utvxling
% 
% DCT=1;
% 
% Utvx_vect = zeros(1,Number_of_gears+1);
% Utvx_vect(1,1) = utvx_min;
% Utvx_vect(1,length(Utvx_vect(1,:))) = inf;
% for i=2:Number_of_gears,
%     Utvx_vect(1,i) =  Utvx_vect(1,i-1)*(utvx_max/utvx_min)^(1/(Number_of_gears-1));
% end

% EtaGEAR = 0.97;

% Fuel energy density in [Ws/liter]
Fuels=cellstr(['Gasoline';'Diesel  ';'E85     ']);
switch Fuel
    case 1  % Gasoline
        Density = 31.4e6;
    case 2, % Diesel, 0.808 kg/liter
        Density = 35.8e6;
    case 3, % Ethanol (E85)
        Density = (85*19.6e6 + 15*32e6)/100;
end

% Gear ratio for the final gear between the traction motor and the wheels   *************'

gr2 =  3.509;  % gr2 = 5;
EtaGEAR=0.98;

% Generator parameters  ++++++++++++++++++
Pem1_max = Pmax*GenVsTract/2*1.0; %Pvehicle_max;       % Peak continuous power !!!!!!!!!!!!!!!
Tem1_max = 1.0*Tice_max;  % Peak continuous torque
wem1_max=wice_max; % EM mounted on cranc shaft

%[Pem1loss,EtaEM1,Tem1,Wem1] = CreateEMmap(Pem1_max,wem1_max,Tem1_max);
[PtoTem1,EtaEM1,Tem1,Wem1,Tem1_lim,EnergyConsEM1] = CreateEMmap(Pem1_max,wem1_max,Tem1_max)

Jgenset=0.1;

% Electric traction motor parameters  ++++++++++++++++++
Pem2_max = 70000; %Pmax*(1-GenVsTract); %Pmax;       % Peak continuous power
wem2_max = vmax/rw*gr2;
Tem2_max = Pem2_max/(wem2_max/3);  % Peak continuous torque with 1:3 as field weakening ratio

%[Pem2loss,EtaEM2,Tem2,Wem2] = CreateEMmap(Pem2_max,wem2_max,Tem2_max);
[PtoTem2,EtaEM2,Tem2,Wem2,Tem_lim2,EnergyConsEM2] = CreateEMmap(Pem2_max,wem2_max,Tem2_max)

% Power Electronics efficiency (preset)

EtaPE = 0.97;

% Battery parameters ++++++++++++++++++

% Wbatt = 100*3600*Mbatt;   % 100 Wh/kg, 3600 sec/h, Mbatt kg
[EtaBATT,Pbatt,Mbatt,Pbatt_max_new,Wbatt_new]=CreateBATTmap(Pem2_max,Wbatt);
SOC_batt_ref_value = 70;

% Controller parameters **********************************

Tau_charge = 1;   
ksoc = max(Wbatt)/400/Tau_charge;  
ksoc_vect = ksoc*tan(pi/2.05*[-1:1/15:1])*2;
kgenset = Jgenset/4/0.05;  % Assuming a 50 ms time constant in speed measurement
%ksoc = max(Wbatt)/400/Tau_charge;


