clear all

Mv = 32000; % Vehicle maass
Cd = 0.79; 	        % air_resistance. (Sports Car 0.3-0.4, Ecomony Car 0.4-0.5, Pickup Truck 0.5, Tractor-Trailer,with fairings 0.6-0.7, Tractor-Trailer 0.7-0.9)
Cr = 0.00576;	    % roll resistance (0.006...0.008 for low roll resist tires. 0.01...0.015 ordinary tires)
Av = 2.550*3.1; % vehicle front area
g = 9.81;   % gravitation constant
rho_air = 1.2;      % Air density
rw = 0.506; % Wheel radius
v_max = 120/3.6;  % Max vehicle speed in [km/h]
Pmax = 9.4*Mv;  % Max tractive power, assuming 9.4 kW/ton

Max_start_slope = 16; % [%]
Max_curb_hight = 0.155;  % [m]
hc=Max_curb_hight;  
Maxle = 11500;
Tw_curb = rw*Maxle*g/sin(acos(-(hc-rw)/rw))
Tw_slope = rw*Mv*g*sin(atan(Max_start_slope/100))
Tw_roll = Mv*g*Cr*rw
Tw_drag = rw*0.5*Av*Cd*rho_air*v_max^2
Tw_acc = Maxle*(50/3.6/5)*rw;

v=[0:90]/3.6;  % [m/s]

for i=1:length(v)
    if i==1
        Tmax(i)=Tw_curb; % Needed to start
    else
        Tmax(i) = min(Tw_acc + Tw_slope + Tw_roll + 0.5*Av*Cd*rho_air*v(i)^2,Pmax/(v(i)/rw)); % Needed to drive and accelerate
        Tdrag(i) = rw*0.5*Av*Cd*rho_air*v(i)^2;
    end
end
% Tx=max(Tmax(2:length(Tmax)));
% Tmax(2:find((Tmax-Tx)==0))=Tx;

figure(20),clf
plot(v*3.6,Tdrag,'b--'); text(85,max(Tw_drag),'Tw drag')
hold on
plot(v*3.6,Tw_roll*ones(size(Tmax)),'r--'); text(5,max(Tw_roll),'Tw roll')
plot(v*3.6,Tw_slope*ones(size(Tmax)),'g--'); text(5,max(Tw_slope),'Tw slope')
plot(v*3.6,Tw_curb*ones(size(Tmax)),'m--'); text(5,max(Tw_curb),'Tw curb')
plot(v*3.6,Tw_acc*ones(size(Tmax)),'c--'); text(5,max(Tw_acc),'Tw acc')
plot(v*3.6,Tmax,'*'); text(15,max(Tmax(1,2:91)),[num2str(Pmax/1000) ' [kW]'])
grid
xlabel('Speed [m/s]')
ylabel('Wheel torque [Nm]')
legend('Drag Torque','Roll Torque','Slope torque (16%)',['Curb Torque ' num2str(Max_curb_hight) ' [m]'],'Accel Torque ("0..50 in 5 sec")','Max Wheel Torque','dddd','northeast')
