clear all
Vehicle=1;
switch Vehicle
    case 1 % Car
        Mv = 1600; % Vehicle weight
        Maxle = Mv*2/3;
        rw = 0.30;	        % wheel radius (m)
        Cd = 0.26; 	        % air_resistance
        Cr = 0.008;	        % roll resistance
        Av = 2.55;	        % Front area
        v_max=180/3.6;       % 165 km/h maxhastighet
        Tw_acc = Maxle*(100/3.6/8)*rw;
        Pmax=100000;
    case 2 % City Bus
        Mv = 14000;         % Vehicle curb weight 
        Maxle = Mv*2/3;
        rw = 0.506;	        % wheel radius (m)
        Cd = 0.79; 	        % air_resistance. (Sports Car 0.3-0.4, Ecomony Car 0.4-0.5, Pickup Truck 0.5, Tractor-Trailer,with fairings 0.6-0.7, Tractor-Trailer 0.7-0.9)
        Cr = 0.00576;	    % roll resistance (0.006...0.008 for low roll resist tires. 0.01...0.015 ordinary tires)
        Av = 2.550*2.924;   % Front area as Volvo FE6x2
        v_max=100/3.6;       % max maxhastighet
        Tw_acc = Maxle*(50/3.6/5)*rw;
        Pmax = 200000;
    case 3 % Distribution Truck
        Mv = 22000;         % Vehicle curb weight + 250 kg passenger and cargo
        Maxle = Mv*2/3;
        rw = 0.506;	        % wheel radius (m)
        Cd = 0.79; 	        % air_resistance. (Sports Car 0.3-0.4, Ecomony Car 0.4-0.5, Pickup Truck 0.5, Tractor-Trailer,with fairings 0.6-0.7, Tractor-Trailer 0.7-0.9)
        Cr = 0.00576;	    % roll resistance (0.006...0.008 for low roll resist tires. 0.01...0.015 ordinary tires)
        Av = 2.500*2.924;   % Front area as Volvo FE6x2
        v_max=80/3.6;               % max maxhastighet
        Tw_acc = Maxle*(80/3.6/16)*rw;
        Pmax = 200000;
    case 4 %Long Haul Truck
        Mv = 32000;         % Vehicle curb weight + 250 kg passenger and cargo
        Maxle = Mv*2/3;
        rw = 0.506;	        % wheel radius (m)
        Cd = 0.79; 	        % air_resistance. (Sports Car 0.3-0.4, Ecomony Car 0.4-0.5, Pickup Truck 0.5, Tractor-Trailer,with fairings 0.6-0.7, Tractor-Trailer 0.7-0.9)
        Cr = 0.00576;	    % roll resistance (0.006...0.008 for low roll resist tires. 0.01...0.015 ordinary tires)
        Av = 2.550*3.1;   % Front area as Volvo FE6x2
        v_max=130/3.6;       % max maxhastighet
        Tw_acc = Maxle*(80/3.6/30)*rw;
        Pmax = 450000;
end

% Mv = 1600; % Vehicle maass
% rw = 0.3; % Wheel radius
% Cd = 0.26; 	        % air_resistance. (Sports Car 0.3-0.4, Ecomony Car 0.4-0.5, Pickup Truck 0.5, Tractor-Trailer,with fairings 0.6-0.7, Tractor-Trailer 0.7-0.9)
% Cr = 0.008;	    % roll resistance (0.006...0.008 for low roll resist tires. 0.01...0.015 ordinary tires)
% Av = 2.55; % vehicle front area
% v_max = 160/3.6;  % Max vehicle speed in [km/h]
% Pmax = 100*Mv;  % Max tractive power, assuming 9.4 kW/ton

rho_air = 1.2;      % Air density
g = 9.81;   % gravitation constant

Max_start_slope = 5; % [%]
Max_curb_hight = 0.155;  % [m]
hc=Max_curb_hight;  
Tw_curb = rw*Maxle*g/sin(acos(-(hc-rw)/rw))
Tw_slope = rw*Mv*g*sin(atan(Max_start_slope/100))
Tw_roll = Mv*g*Cr*rw*cos(atan(Max_start_slope/100))
Tw_drag = rw*0.5*Av*Cd*rho_air*v_max^2

v=[0:160]/3.6;  % [m/s]

for i=1:length(v)
    if i==1
        Tmax(i)=Tw_curb; % Needed to start
    else
        Tmax(i) = min(Tw_acc + Tw_slope + Tw_roll + rw*0.5*Av*Cd*rho_air*v(i)^2,Pmax/(v(i)/rw)); % Needed to drive and accelerate
        Tdrag(i) = rw*0.5*Av*Cd*rho_air*v(i)^2;
    end
end
% Tx=max(Tmax(2:length(Tmax)));
% Tmax(2:find((Tmax-Tx)==0))=Tx;

figure(20),clf
subplot(1,2,1)
plot(v*3.6,Tdrag,'b--'); 
hold on
plot(v*3.6,Tw_roll*ones(size(Tmax)),'r--'); 
plot(v*3.6,Tw_slope*ones(size(Tmax)),'g--'); 
plot(v*3.6,Tw_curb*ones(size(Tmax)),'m--'); 
plot(v*3.6,Tw_acc*ones(size(Tmax)),'c--');
plot(v*3.6,Tmax,'x'); text(15,1.1*max(Tmax(1,2:91)),[num2str(Pmax/1000) ' [kW]'])
grid

xlabel('Speed [m/s]')
ylabel('Wheel Torque [Nm]')
legend('Drag Torque','Roll Torque','Slope torque (16%)',['Curb Torque ' num2str(Max_curb_hight) ' [m]'],'Accel Torque ("0...100 in 8 sec")','Max Wheel Torque','dddd','northeast')

subplot(1,2,2)
plot(v*3.6,v.*Tdrag,'b--'); 
hold on
plot(v*3.6,v*Tw_roll.*ones(size(Tmax)),'r--');
plot(v*3.6,v*Tw_slope.*ones(size(Tmax)),'g--');
plot(v*3.6,v*Tw_acc.*ones(size(Tmax)),'c--'); 
grid
xlabel('Speed [m/s]')
ylabel('Wheel Power [W]')
legend('Drag Power','Roll Power','Slope Power (16%)','Accel Power ("0..100 in 8 sec")','Max Wheel Power')


